Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62642 - groff searches for fonts in /usr/share/ghostscript/9.26/; current version is 9.27

Attached to Project: Arch Linux
Opened by Ivy Foster (escondida) - Wednesday, 15 May 2019, 17:51 GMT
Last edited by freswa (frederik) - Sunday, 23 February 2020, 22:39 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Tobias Powalowski (tpowa)
Andreas Radke (AndyRTR)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Many of groff's default fonts, such as "BM", depend on apparently-versioned data from ghostscript when creating PDFs.

A rebuild is sufficient to update the offending file, /usr/share/groff/1.22.4/devpdf/download .

As a side note, ghostscript probably ought to be an optdepends for groff because of this.

Additional info:
* package version(s)
groff 1.22.4-1, ghostscript 9.27-1
* config and/or log files etc.
See /usr/share/groff/1.22.4/devpdf/download

Steps to reproduce:
groff -mom -Tpdf foo.mom > foo.pdf
   foo.mom (0.2 KiB)
This task depends upon

Closed by  freswa (frederik)
Sunday, 23 February 2020, 22:39 GMT
Reason for closing:  Fixed
Comment by Ivy Foster (escondida) - Wednesday, 15 May 2019, 18:00 GMT
This should have been "Packages: Core"; forgive me. I was looking at ghostscript, not groff, when I made the selection.
Comment by Ivy Foster (escondida) - Wednesday, 15 May 2019, 19:22 GMT
Comment by Leslie Polzer (skypher) - Sunday, 15 September 2019, 20:44 GMT
Can confirm this issue.

I think the cleanest way would be to have the ghostscript package include a "current" link in /usr/share/ghostscript and then force groff to use that.
Comment by acar burak (fluxboxer) - Saturday, 09 November 2019, 13:01 GMT
Confirmed here as well.

>>Failed to open '/usr/share/ghostscript/9.26/Resource/Font/NimbusRoman-Regular'<<

And I've got: /usr/share/ghostscript/9.50/Resource/Font/NimbusRoman-Regular

Yet, I've solved my issues by converting/adding fonts to groff by this install-font.sh at the end of http://www.schaffter.ca/mom/mom-06.html. Now I can embed fonts without using ghostscript at all and I'm ghostscript free as I'd installed it just for embedding fonts.
Comment by Andreas Radke (AndyRTR) - Sunday, 23 February 2020, 09:19 GMT
The current pkg doesn't contain such a file:

LANG=C pacman -Qo /usr/share/groff/1.22.4/devpdf/download
error: No package owns /usr/share/groff/1.22.4/devpdf/download

Maybe it's a leftover from a former build or some custom user package.

Check: https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/groff&id=6c4496d01eb09dbd57e39366f72e764d75ab265c
Comment by Ivy Foster (escondida) - Sunday, 23 February 2020, 22:09 GMT
Hey, Andreas,

The file "download" seems to be in /usr/share/groff/1.22.4/font/devpdf now (and possibly then; I may have left some of the path out originally). The current version does search the correct ghostscript path (until the next ghostscript update, that is).

Loading...